<solidify-base-action-dialog [titleToTranslate]="labelTranslateEnum.dataUseAgreement">
  <form (ngSubmit)="onSubmit()"
        [formGroup]="form"
        class="form"
  >

    <p>{{labelTranslateEnum.archiveWithClickableDataUseAgreement | translate:{title: data.archive.title} }}</p>

    <p>
      <button [matTooltip]="labelTranslateEnum.showPreview | translate"
              [disabled]="canPreviewDua | isFalse"
              class="preview-dua-file-button"
              color="primary"
              mat-button
              type="button"
              (click)="previewDuaFile()"
      >
        <solidify-icon [iconName]="iconNameEnum.preview"
                       class="icon size-20"
        ></solidify-icon>
        {{labelTranslateEnum.showAgreement | translate }}
      </button>
    </p>

    <mat-checkbox *ngIf="getFormControl(formDefinition.acceptDua) as fd"
                  [formControl]="fd"
                  color="primary"
    >{{labelTranslateEnum.iAcceptTheContractOnTheUseOfTheData | translate }}</mat-checkbox>

  </form>
</solidify-base-action-dialog>

<div class="footer"
     mat-dialog-actions
>
  <button [mat-dialog-close]=""
          cdkFocusInitial
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="onSubmit()"
          (onEnter)="onSubmit()"
          [disabled]="form.invalid"
          [solidifyButtonSpinner]="isLoadingObs | async"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.send | translate}}
  </button>
</div>

